#pragma once

#include <GL/glew.h>
#include <vector>

#include "glm/glm.hpp"

class Orbit
{
public:
    Orbit(int vertexCount, glm::vec3 up);
    void render();
    ~Orbit(); 
private:
    GLuint _vbo;
    GLuint _vao;

    std::vector<float> _vertices;
};
